<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VoucherPin StructType
 * Meta information extracted from the WSDL
 * - documentation: Pin number associated to the Voucher in the reservationExample: 12345
 * @subpackage Structs
 */
class VoucherPin extends AbstractStructBase
{
    /**
     * The _
     * @var string
     */
    public $_;
    /**
     * The refs
     * Meta information extracted from the WSDL
     * - documentation: Contains the VoucherNumber associated to this VoucherPin
     * @var string
     */
    public $refs;
    /**
     * Constructor method for VoucherPin
     * @uses VoucherPin::set_()
     * @uses VoucherPin::setRefs()
     * @param string $_
     * @param string $refs
     */
    public function __construct($_ = null, $refs = null)
    {
        $this
            ->set_($_)
            ->setRefs($refs);
    }
    /**
     * Get _ value
     * @return string|null
     */
    public function get_()
    {
        return $this->_;
    }
    /**
     * Set _ value
     * @param string $_
     * @return \StructType\VoucherPin
     */
    public function set_($_ = null)
    {
        // validation for constraint: string
        if (!is_null($_) && !is_string($_)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($_, true), gettype($_)), __LINE__);
        }
        $this->_ = $_;
        return $this;
    }
    /**
     * Get refs value
     * @return string|null
     */
    public function getRefs()
    {
        return $this->refs;
    }
    /**
     * Set refs value
     * @param string $refs
     * @return \StructType\VoucherPin
     */
    public function setRefs($refs = null)
    {
        // validation for constraint: string
        if (!is_null($refs) && !is_string($refs)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($refs, true), gettype($refs)), __LINE__);
        }
        $this->refs = $refs;
        return $this;
    }
}
